Skip to main content
GET
/
api
/
open-api
/
v1
/
videos
/
{taskId}
Query Video Task
curl --request GET \
  --url https://www.jimmyai.cn/api/open-api/v1/videos/{taskId} \
  --header 'Authorization: Bearer <token>'
{
  "code": "20000",
  "msg": "ok",
  "data": {
    "task_id": "<string>",
    "status": "<string>",
    "progress": 123,
    "model": "<string>",
    "created_at": 123,
    "completed_at": 123,
    "result": {
      "video_url": "<string>",
      "image_url": "<string>"
    },
    "error_message": "<string>"
  }
}
[!IMPORTANT] The video download URL (video_url) is valid for 3 days. Please download or transfer it in time.

Task Status Descriptions

Status Value (status)DescriptionProgress (progress)Remarks
queued / pending / submittedQueued / Submitted. The task has been successfully submitted and is waiting for scheduling.0Initial state.
processingProcessing. The task has started running on the model side.1 - 99Progress updates in real-time during generation.
completedCompleted. The video generation is complete.100The download link is available in the result.video_url field.
failedFailed. The video generation task failed.0You can view the specific cause of failure in the error_message field.

State Machine Diagram

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

taskId
string
required

The ID of the task to query

Response

200 - application/json

Task status and result

code
string
Example:

"20000"

msg
string
Example:

"ok"

data
object